<?xml version="1.0" encoding="utf-8"?>
<rss version="2.0" xmlns:atom="http://www.w3.org/2005/Atom">
	<channel>
		<atom:link href="https://dev1galaxy.org/extern.php?action=feed&amp;tid=3642&amp;type=rss" rel="self" type="application/rss+xml" />
		<title><![CDATA[Dev1 Galaxy Forum / Dropbear-initramfs: cryptroot-unlock says "Try again later" forever]]></title>
		<link>https://dev1galaxy.org/viewtopic.php?id=3642</link>
		<description><![CDATA[The most recent posts in Dropbear-initramfs: cryptroot-unlock says "Try again later" forever.]]></description>
		<lastBuildDate>Fri, 27 Sep 2024 20:42:15 +0000</lastBuildDate>
		<generator>FluxBB</generator>
		<item>
			<title><![CDATA[Re: Dropbear-initramfs: cryptroot-unlock says "Try again later" forever]]></title>
			<link>https://dev1galaxy.org/viewtopic.php?pid=52426#p52426</link>
			<description><![CDATA[<p>This is how I fixed it. Seems to be a timing issue.</p><p>I edited /usr/share/cryptsetup/initramfs/bin/cryptroot-unlock</p><p>Found the block</p><div class="codebox"><pre><code>if [ ! -f &quot;$TABFILE&quot; ] || [ &quot;$TABFILE&quot; -ot &quot;/proc/1&quot; ]; then
    echo &quot;Try again later&quot; &gt;&amp;2
    exit 1
fi</code></pre></div><p>And then changed it to this</p><div class="codebox"><pre><code>MAX_RETRIES=10
RETRY_INTERVAL=3

# Retry mechanism to check if TABFILE is ready
for i in $(seq 1 $MAX_RETRIES); do
    if [ -f &quot;$TABFILE&quot; ] &amp;&amp; [ &quot;$TABFILE&quot; -nt &quot;/proc/1&quot; ]; then
        break
    fi
    
    if [ $i -eq $MAX_RETRIES ]; then
        echo &quot;Error: $TABFILE still not ready after $MAX_RETRIES attempts. Exiting.&quot; &gt;&amp;2
        exit 1
    fi

    echo &quot;Waiting for cryptroot to be ready... attempt $i/$MAX_RETRIES&quot;
    sleep $RETRY_INTERVAL
done</code></pre></div><p>Don&#039;t forget to apply changes</p><p>update-initramfs -u -k all</p>]]></description>
			<author><![CDATA[dummy@example.com (clemmerson)]]></author>
			<pubDate>Fri, 27 Sep 2024 20:42:15 +0000</pubDate>
			<guid>https://dev1galaxy.org/viewtopic.php?pid=52426#p52426</guid>
		</item>
		<item>
			<title><![CDATA[Re: Dropbear-initramfs: cryptroot-unlock says "Try again later" forever]]></title>
			<link>https://dev1galaxy.org/viewtopic.php?pid=49575#p49575</link>
			<description><![CDATA[<p>Dropbear package updated re-introducing the bug.&#160; </p><p>Workaround: <a href="https://dev1galaxy.org/viewtopic.php?pid=46994#p46994" rel="nofollow">https://dev1galaxy.org/viewtopic.php?pid=46994#p46994</a></p><p>OP&#039;s post until now... 1,392 days</p>]]></description>
			<author><![CDATA[dummy@example.com (tux2bsd)]]></author>
			<pubDate>Sat, 20 Apr 2024 06:10:37 +0000</pubDate>
			<guid>https://dev1galaxy.org/viewtopic.php?pid=49575#p49575</guid>
		</item>
		<item>
			<title><![CDATA[Re: Dropbear-initramfs: cryptroot-unlock says "Try again later" forever]]></title>
			<link>https://dev1galaxy.org/viewtopic.php?pid=47095#p47095</link>
			<description><![CDATA[<div class="quotebox"><blockquote><div><p>Surely a similar approach is quite common per package, given Devuan is a fork of Debian.</p></div></blockquote></div><p>Looks like Amprolla exists for that but it is apparent that rolling a package for a 2 line fix in a shell script is too heavy (yes, I&#039;m aware I suggested a package earlier).</p><p>For each user to have to fix a known problem by hand is also poor form.&#160; Part of a Distribution&#039;s role is to to mitigate that.</p><p>There is a need to distribute reasonable bug fixes to that don&#039;t rely on Debian&#039;s bug fix process, especially when bugs only surface in Devuan and not stock Debian.&#160; I have no interest making a non-stock Debian with sysvinit to then make it fail just so I can fob off a Devuan bug to Debian&#039;s team, that&#039;s gaming the system. </p><p>If there was a stock Debian bug fix found that can go to Debian in parallel, we all know it takes a while for those to eventuate.&#160; There&#039;s benefit there too, earlier tracked fixes in Devuan.&#160; When those fixes do arrive via Debian (after some years) they no longer need to be distributed.</p><p>I&#039;m well aware the bug in this thread does not affect many people, though that that shouldn&#039;t matter.</p><p>OP&#039;s post until now...&#160; 1289 days</p>]]></description>
			<author><![CDATA[dummy@example.com (tux2bsd)]]></author>
			<pubDate>Tue, 09 Jan 2024 05:17:27 +0000</pubDate>
			<guid>https://dev1galaxy.org/viewtopic.php?pid=47095#p47095</guid>
		</item>
		<item>
			<title><![CDATA[Re: Dropbear-initramfs: cryptroot-unlock says "Try again later" forever]]></title>
			<link>https://dev1galaxy.org/viewtopic.php?pid=47029#p47029</link>
			<description><![CDATA[<p>Surely a similar approach is quite common per package, given Devuan is a fork of Debian.</p><div class="codebox"><pre><code>if patch for Debian package then patch file with Devuan specific fix to become Devuan&#039;s package
(e.g. cryptsetup-initramfs : /usr/share/cryptsetup/initramfs/bin/cryptroot-unlock Debian&#039;s file matches sha256 then patch )
else figure out what changed and make a new patch for Devuan&#039;s package containing this file</code></pre></div>]]></description>
			<author><![CDATA[dummy@example.com (tux2bsd)]]></author>
			<pubDate>Sun, 07 Jan 2024 22:44:24 +0000</pubDate>
			<guid>https://dev1galaxy.org/viewtopic.php?pid=47029#p47029</guid>
		</item>
		<item>
			<title><![CDATA[Re: Dropbear-initramfs: cryptroot-unlock says "Try again later" forever]]></title>
			<link>https://dev1galaxy.org/viewtopic.php?pid=47028#p47028</link>
			<description><![CDATA[<p>OP&#039;s post until now...&#160; 1288 days</p>]]></description>
			<author><![CDATA[dummy@example.com (tux2bsd)]]></author>
			<pubDate>Sun, 07 Jan 2024 22:20:39 +0000</pubDate>
			<guid>https://dev1galaxy.org/viewtopic.php?pid=47028#p47028</guid>
		</item>
		<item>
			<title><![CDATA[Re: Dropbear-initramfs: cryptroot-unlock says "Try again later" forever]]></title>
			<link>https://dev1galaxy.org/viewtopic.php?pid=47026#p47026</link>
			<description><![CDATA[<p>It is already known that it is not forked (see #10 above).</p><p>How does your proposed report to Debian go?<br />&quot;this thing that works in Debian doesn&#039;t work in Devuan&quot;<br />or do you suggest I lie?<br />&quot;when I used Debian with sysvinit this doesn&#039;t work&quot;<br />&#160; I&#039;m not doing that:<br />&#160; &#160; a - I don&#039;t lie<br />&#160; &#160; b - The fix exists for Devuan, for the problem that surfaces when the package is used in Devuan</p>]]></description>
			<author><![CDATA[dummy@example.com (tux2bsd)]]></author>
			<pubDate>Sun, 07 Jan 2024 22:07:10 +0000</pubDate>
			<guid>https://dev1galaxy.org/viewtopic.php?pid=47026#p47026</guid>
		</item>
		<item>
			<title><![CDATA[Re: Dropbear-initramfs: cryptroot-unlock says "Try again later" forever]]></title>
			<link>https://dev1galaxy.org/viewtopic.php?pid=47023#p47023</link>
			<description><![CDATA[<p><span class="bbc">cryptsetup-initramfs</span> is not a forked package, so you should report to bugs.debian.org rather.</p>]]></description>
			<author><![CDATA[dummy@example.com (ralph.ronnquist)]]></author>
			<pubDate>Sun, 07 Jan 2024 21:31:38 +0000</pubDate>
			<guid>https://dev1galaxy.org/viewtopic.php?pid=47023#p47023</guid>
		</item>
		<item>
			<title><![CDATA[Re: Dropbear-initramfs: cryptroot-unlock says "Try again later" forever]]></title>
			<link>https://dev1galaxy.org/viewtopic.php?pid=47019#p47019</link>
			<description><![CDATA[<p><a href="https://bugs.devuan.org/cgi/bugreport.cgi?bug=829" rel="nofollow">https://bugs.devuan.org/cgi/bugreport.cgi?bug=829</a></p><p><a href="https://git.devuan.org/devuan/cryptsetup-modified-functions/issues/4" rel="nofollow">https://git.devuan.org/devuan/cryptsetu … s/issues/4</a></p><p>Hopefully someone with the right access can add the fix so future package updates don&#039;t cause regressions (to the current manual fix).</p>]]></description>
			<author><![CDATA[dummy@example.com (tux2bsd)]]></author>
			<pubDate>Sun, 07 Jan 2024 20:48:00 +0000</pubDate>
			<guid>https://dev1galaxy.org/viewtopic.php?pid=47019#p47019</guid>
		</item>
		<item>
			<title><![CDATA[Re: Dropbear-initramfs: cryptroot-unlock says "Try again later" forever]]></title>
			<link>https://dev1galaxy.org/viewtopic.php?pid=47015#p47015</link>
			<description><![CDATA[<p><a href="https://bugs.devuan.org/cgi/pkgreport.cgi?package=cryptsetup-initramfs" rel="nofollow">https://bugs.devuan.org/cgi/pkgreport.c … -initramfs</a></p><div class="quotebox"><blockquote><div><p>There is no maintainer for cryptsetup-initramfs... ...Please do not report new bugs against this package.</p></div></blockquote></div><p>Not ideal.</p>]]></description>
			<author><![CDATA[dummy@example.com (tux2bsd)]]></author>
			<pubDate>Sun, 07 Jan 2024 19:51:47 +0000</pubDate>
			<guid>https://dev1galaxy.org/viewtopic.php?pid=47015#p47015</guid>
		</item>
		<item>
			<title><![CDATA[Re: Dropbear-initramfs: cryptroot-unlock says "Try again later" forever]]></title>
			<link>https://dev1galaxy.org/viewtopic.php?pid=46994#p46994</link>
			<description><![CDATA[<p>Taking what Danielsan posted but making the error message meaningful.</p><div class="codebox"><pre><code>diff /usr/share/cryptsetup/initramfs/bin/cryptroot-unlock.bug /usr/share/cryptsetup/initramfs/bin/cryptroot-unlock
33c33
&lt; if [ ! -f &quot;$TABFILE&quot; ] || [ &quot;$TABFILE&quot; -ot &quot;/proc/1&quot; ]; then
---
&gt; if [ ! -f &quot;$TABFILE&quot; ] ; then
35c35
&lt;       echo &quot;Try again later&quot; &gt;&amp;2
---
&gt;       echo &quot;Error: $TABFILE missing.&quot; &gt;&amp;2</code></pre></div><p>Also, remember to re-run </p><div class="codebox"><pre><code>update-initramfs -u -k all</code></pre></div>]]></description>
			<author><![CDATA[dummy@example.com (tux2bsd)]]></author>
			<pubDate>Sun, 07 Jan 2024 10:34:31 +0000</pubDate>
			<guid>https://dev1galaxy.org/viewtopic.php?pid=46994#p46994</guid>
		</item>
		<item>
			<title><![CDATA[Re: Dropbear-initramfs: cryptroot-unlock says "Try again later" forever]]></title>
			<link>https://dev1galaxy.org/viewtopic.php?pid=46993#p46993</link>
			<description><![CDATA[<div class="quotebox"><blockquote><div><p>Commenting exit 1 did not solve the issue, unless I misunderstood the fix!</p></div></blockquote></div><p>Danielsan you needed to re-run </p><div class="codebox"><pre><code>update-initramfs -u -k all</code></pre></div><p>I see you subsequently posted the work around in another thread&#160; (linked from #7), it would have been better to have it in this thread to keep the history together.</p>]]></description>
			<author><![CDATA[dummy@example.com (tux2bsd)]]></author>
			<pubDate>Sun, 07 Jan 2024 10:28:47 +0000</pubDate>
			<guid>https://dev1galaxy.org/viewtopic.php?pid=46993#p46993</guid>
		</item>
		<item>
			<title><![CDATA[Re: Dropbear-initramfs: cryptroot-unlock says "Try again later" forever]]></title>
			<link>https://dev1galaxy.org/viewtopic.php?pid=46093#p46093</link>
			<description><![CDATA[<p>I used this basic workaround:</p><p><a href="https://dev1galaxy.org/viewtopic.php?id=6144" rel="nofollow">https://dev1galaxy.org/viewtopic.php?id=6144</a></p>]]></description>
			<author><![CDATA[dummy@example.com (Danielsan)]]></author>
			<pubDate>Sun, 10 Dec 2023 06:40:03 +0000</pubDate>
			<guid>https://dev1galaxy.org/viewtopic.php?pid=46093#p46093</guid>
		</item>
		<item>
			<title><![CDATA[Re: Dropbear-initramfs: cryptroot-unlock says "Try again later" forever]]></title>
			<link>https://dev1galaxy.org/viewtopic.php?pid=46077#p46077</link>
			<description><![CDATA[<p>Here is a shell script I created to install a modified <span class="bbc">cryptroot-unlock</span> command which skips the timestamp check:</p><div class="codebox"><pre class="vscroll"><code>#!/bin/sh

# Problem:
# If /cryptroot/crypttab is older than /proc/1,
# cryptdisks-unlock aborts with the message &quot;Try again later&quot;.
# /scripts/init-top/cryptroot is expected to update the timestamp of /cryptroot/crypttab,
# but there is no such script on my target machine.
# /cryptroot/crypttab is already present in the busybox.
#
# Workaround:
# Install a modified /usr/local/bin/cryptdisks-unlock script which does not check the timestamps

ROOTFS_MOUNTPOINT=&quot;&quot;

# Create modified version of the cryptroot-unlock script
CRYPTROOT_UNLOCK_SCRIPT=&quot;${ROOTFS_MOUNTPOINT}/usr/local/share/cryptsetup/initramfs/bin/cryptroot-unlock&quot;
mkdir -p -- &quot;$(dirname -- &quot;${CRYPTROOT_UNLOCK_SCRIPT}&quot;)&quot;
cat &gt; &quot;${CRYPTROOT_UNLOCK_SCRIPT}&quot; &lt;&lt;-&quot;EOF&quot;
#!/bin/busybox ash

# Remotely unlock encrypted volumes.
#
# Copyright © 2015-2018 Guilhem Moulin &lt;guilhem@debian.org&gt;
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see &lt;http://www.gnu.org/licenses/&gt;.

# This script was modified to ignore the timestamp of TABFILE

set -ue
PATH=/sbin:/bin

TIMEOUT=10
PASSFIFO=/lib/cryptsetup/passfifo
ASKPASS=/lib/cryptsetup/askpass
UNLOCK_ALL=n

[ -f /lib/cryptsetup/functions ] || return 0
. /lib/cryptsetup/functions
TABFILE=&quot;/cryptroot/crypttab&quot;
unset -v IFS

if [ ! -f &quot;$TABFILE&quot; ]; then
	echo &quot;Try again later&quot; &gt;&amp;2
	exit 1
fi

# Print the list of PIDs the executed command of which is $exe.
pgrep_exe() {
	local exe pid
	exe=&quot;$(readlink -f -- &quot;$1&quot; 2&gt;/dev/null)&quot; &amp;&amp; [ -f &quot;$exe&quot; ] || return 0
	ps -eo pid= | while read pid; do
		[ &quot;$(readlink -f &quot;/proc/$pid/exe&quot;)&quot; != &quot;$exe&quot; ] || printf &#039;%d\n&#039; &quot;$pid&quot;
	done
}

# Return 0 if $pid has a file descriptor pointing to $name, and 1
# otherwise.
in_fds() {
	local pid=&quot;$1&quot; name fd
	name=&quot;$(readlink -f -- &quot;$2&quot; 2&gt;/dev/null)&quot; &amp;&amp; [ -e &quot;$name&quot; ] || return 1
	for fd in $(find &quot;/proc/$pid/fd&quot; -type l); do
		[ &quot;$(readlink -f &quot;$fd&quot;)&quot; != &quot;$name&quot; ] || return 0
	done
	return 1
}

# Print the PID of the askpass process with a file descriptor opened to
# /lib/cryptsetup/passfifo.
get_askpass_pid() {
	local pid
	for pid in $(pgrep_exe &quot;$ASKPASS&quot;); do
		if in_fds &quot;$pid&quot; &quot;$PASSFIFO&quot;; then
			echo &quot;$pid&quot;
			return 0
		fi
	done
	return 1
}

# Print the number of configured crypt devices that have not been unlocked yet.
count_locked_devices() {
	local COUNT=0
	crypttab_foreach_entry count_locked_devices_callback
	printf &#039;%d\n&#039; &quot;$COUNT&quot;
}
count_locked_devices_callback() {
	dm_blkdevname &quot;$CRYPTTAB_NAME&quot; &gt;/dev/null || COUNT=$(( $COUNT + 1 ))
}

# Wait for askpass, then set $PID (resp. $BIRTH) to the PID (resp.
# birth date) of the cryptsetup process with same $CRYPTTAB_NAME.
wait_for_prompt() {
	local pid timer num_locked_devices=-1 n

	# wait for the fifo
	while :; do
		n=$(count_locked_devices)
		if [ $n -eq 0 ]; then
			# all configured devices have been unlocked, we&#039;re done
			exit 0
		elif [ $num_locked_devices -lt 0 ] || [ $n -lt $num_locked_devices ]; then
			# reset $timer if a device was unlocked (for instance using
			# a keyscript) while we were waiting
			timer=$(( 10 * $TIMEOUT ))
		fi
		num_locked_devices=$n

		if pid=$(get_askpass_pid) &amp;&amp; [ -p &quot;$PASSFIFO&quot; ]; then
			break
		fi

		usleep 100000
		timer=$(( $timer - 1 ))
		if [ $timer -le 0 ]; then
			echo &quot;Error: Timeout reached while waiting for askpass.&quot; &gt;&amp;2
			exit 1
		fi
	done

	# find the cryptsetup process with same $CRYPTTAB_NAME
	local o v
	for o in NAME TRIED OPTION_tries; do
		if v=&quot;$(grep -z -m1 &quot;^CRYPTTAB_$o=&quot; &quot;/proc/$pid/environ&quot;)&quot;; then
			eval &quot;CRYPTTAB_$o&quot;=&quot;\${v#CRYPTTAB_$o=}&quot;
		else
			eval unset -v &quot;CRYPTTAB_$o&quot;
		fi
	done
	if [ -z &quot;${CRYPTTAB_NAME:+x}&quot; ] || [ -z &quot;${CRYPTTAB_TRIED:+x}&quot; ]; then
		return 1
	fi
	if ( ! crypttab_find_entry --quiet &quot;$CRYPTTAB_NAME&quot; ); then
		# use a subshell to avoid polluting our enironment
		echo &quot;Error: Refusing to process unknown device $CRYPTTAB_NAME&quot; &gt;&amp;2
		exit 1
	fi

	for pid in $(pgrep_exe &quot;/sbin/cryptsetup&quot;); do
		if grep -Fxqz &quot;CRYPTTAB_NAME=$CRYPTTAB_NAME&quot; &quot;/proc/$pid/environ&quot;; then
			PID=$pid
			BIRTH=$(stat -c&quot;%Z&quot; &quot;/proc/$PID&quot; 2&gt;/dev/null) || break
			return 0
		fi
	done

	PID=
	BIRTH=
	return 1
}

# Wait until $PID no longer exists or has a birth date greater that
# $BIRTH (ie was reallocated).  Then return with exit value 0 if
# /dev/mapper/$CRYPTTAB_NAME exists, and with exit value 1 if the
# maximum number of tries exceeded.  Otherwise (if the unlocking
# failed), return with value 1.
wait_for_answer() {
	local timer=$(( 10 * $TIMEOUT )) b
	while [ -d &quot;/proc/$PID&quot; ] &amp;&amp; b=$(stat -c&quot;%Z&quot; &quot;/proc/$PID&quot; 2&gt;/dev/null) &amp;&amp; [ $b -le $BIRTH ]; do
		usleep 100000
		timer=$(( $timer - 1 ))
		if [ $timer -le 0 ]; then
			echo &quot;Error: Timeout reached while waiting for PID $PID.&quot; &gt;&amp;2
			exit 1
		fi
	done

	if dm_blkdevname &quot;$CRYPTTAB_NAME&quot; &gt;/dev/null; then
		echo &quot;cryptsetup: $CRYPTTAB_NAME set up successfully&quot; &gt;&amp;2
		[ &quot;$UNLOCK_ALL&quot; = y ] &amp;&amp; return 0 || exit 0
	elif [ $(( ${CRYPTTAB_TRIED:-0} + 1 )) -ge ${CRYPTTAB_OPTION_tries:-3} ] &amp;&amp;
			[ ${CRYPTTAB_OPTION_tries:-3} -gt 0 ]; then
		echo &quot;cryptsetup: maximum number of tries exceeded for $CRYPTTAB_NAME&quot; &gt;&amp;2
		exit 1
	else
		echo &quot;cryptsetup: cryptsetup failed, bad password or options?&quot; &gt;&amp;2
		return 1
	fi
}

if [ -t 0 ] &amp;&amp; [ -x &quot;$ASKPASS&quot; ]; then
	# interactive mode on a TTY: keep trying until all configured devices have
	# been unlocked or the maximum number of tries exceeded
	UNLOCK_ALL=y
	while :; do
		# note: if the script is not killed before pivot_root it should
		# exit on its own once $TIMEOUT is reached
		if ! wait_for_prompt; then
			usleep 100000
			continue
		fi
		read -rs -p &quot;Please unlock disk $CRYPTTAB_NAME: &quot;; echo
		printf &#039;%s&#039; &quot;$REPLY&quot; &gt;&quot;$PASSFIFO&quot;
		wait_for_answer || true
	done
else
	# non-interactive mode: slurp the passphrase from stdin and exit
	wait_for_prompt || exit 1
	echo &quot;Please unlock disk $CRYPTTAB_NAME&quot;
	cat &gt;&quot;$PASSFIFO&quot;
	wait_for_answer || exit 1
fi

# vim: set filetype=sh :
EOF

chmod +x -- &quot;${CRYPTROOT_UNLOCK_SCRIPT}&quot;

CRYPTROOT_UNLOCK_HOOK=&quot;${ROOTFS_MOUNTPOINT}/etc/initramfs-tools/hooks/cryptroot-unlock&quot;
mkdir -p -- &quot;$(dirname -- &quot;${CRYPTROOT_UNLOCK_HOOK}&quot;)&quot;
cat &gt; &quot;${CRYPTROOT_UNLOCK_HOOK}&quot; &lt;&lt;-&quot;EOF&quot;
#!/bin/sh

PREREQ=&quot;&quot;

prereqs()
{
	echo &quot;$PREREQ&quot;
}

case &quot;$1&quot; in
    prereqs)
        prereqs
        exit 0
        ;;
esac

. /usr/share/initramfs-tools/hook-functions
if [ ! -f &quot;${DESTDIR}/usr/local/bin/cryptroot-unlock&quot; ] &amp;&amp;
        ! copy_file script /usr/local/share/cryptsetup/initramfs/bin/cryptroot-unlock /usr/local/bin/cryptroot-unlock; then
    echo &quot;ERROR: Couldn&#039;t copy /usr/local/bin/cryptroot-unlock&quot; &gt;&amp;2
    exit 1
fi
EOF
chmod +x -- &quot;${CRYPTROOT_UNLOCK_HOOK}&quot;</code></pre></div>]]></description>
			<author><![CDATA[dummy@example.com (unixdan22)]]></author>
			<pubDate>Sat, 09 Dec 2023 15:26:10 +0000</pubDate>
			<guid>https://dev1galaxy.org/viewtopic.php?pid=46077#p46077</guid>
		</item>
		<item>
			<title><![CDATA[Re: Dropbear-initramfs: cryptroot-unlock says "Try again later" forever]]></title>
			<link>https://dev1galaxy.org/viewtopic.php?pid=45431#p45431</link>
			<description><![CDATA[<div class="quotebox"><cite>kuleszdl wrote:</cite><blockquote><div><p>Hi,</p><div class="codebox"><pre><code>if [ ! -f &quot;$TABFILE&quot; ] || [ &quot;$TABFILE&quot; -ot &quot;/proc/1&quot; ]; then
        # Too early, init-top/cryptroot hasn&#039;t finished yet
        echo &quot;Try again later&quot; &gt;&amp;2
        exit 1
fi</code></pre></div><p>Workaround: Uncomment the line with &quot;exit 1&quot;, then everything should work.</p><p>Is this check systemd-related?</p></div></blockquote></div><p>Commenting <span class="bbc">exit 1</span> did not solve the issue, unless I misunderstood the fix!</p>]]></description>
			<author><![CDATA[dummy@example.com (Danielsan)]]></author>
			<pubDate>Thu, 16 Nov 2023 00:53:01 +0000</pubDate>
			<guid>https://dev1galaxy.org/viewtopic.php?pid=45431#p45431</guid>
		</item>
		<item>
			<title><![CDATA[Re: Dropbear-initramfs: cryptroot-unlock says "Try again later" forever]]></title>
			<link>https://dev1galaxy.org/viewtopic.php?pid=45426#p45426</link>
			<description><![CDATA[<p>I hope any of you can help me here...</p><p>I have the same issue, I&#039;d like to try your workaround but I can&#039;t find the <span class="bbc">cryptroot-script</span> in the first place!</p><div class="codebox"><pre><code>find: ‘cryptroot’: No such file or directory</code></pre></div><p>Thanks!</p>]]></description>
			<author><![CDATA[dummy@example.com (Danielsan)]]></author>
			<pubDate>Wed, 15 Nov 2023 18:21:39 +0000</pubDate>
			<guid>https://dev1galaxy.org/viewtopic.php?pid=45426#p45426</guid>
		</item>
	</channel>
</rss>
